if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications
fi

if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

if [ -x /usr/bin/gtk-update-icon-cache ]; then 
  for theme in gnome locolor hicolor ; do
    if [ -e usr/share/icons/$theme/icon-theme.cache ]; then 
      /usr/bin/gtk-update-icon-cache usr/share/icons/$theme >/dev/null 2>&1
    fi
  done
fi

( cd usr/share/icons/hicolor/48x48/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.writer.template.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; ln -sf openofficeorg3-text-template.png gnome-mime-application-vnd.sun.xml.writer.template.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.writer.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; ln -sf openofficeorg3-text.png gnome-mime-application-vnd.sun.xml.writer.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.writer.global.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; ln -sf openofficeorg3-master-document.png gnome-mime-application-vnd.sun.xml.writer.global.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.math.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; ln -sf openofficeorg3-formula.png gnome-mime-application-vnd.sun.xml.math.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.impress.template.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; ln -sf openofficeorg3-presentation-template.png gnome-mime-application-vnd.sun.xml.impress.template.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.impress.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; ln -sf openofficeorg3-presentation.png gnome-mime-application-vnd.sun.xml.impress.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.draw.template.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; ln -sf openofficeorg3-drawing-template.png gnome-mime-application-vnd.sun.xml.draw.template.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.draw.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; ln -sf openofficeorg3-drawing.png gnome-mime-application-vnd.sun.xml.draw.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.calc.template.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; ln -sf openofficeorg3-spreadsheet-template.png gnome-mime-application-vnd.sun.xml.calc.template.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.calc.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; ln -sf openofficeorg3-spreadsheet.png gnome-mime-application-vnd.sun.xml.calc.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.base.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; ln -sf openofficeorg3-oasis-database.png gnome-mime-application-vnd.sun.xml.base.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; rm -rf gnome-mime-application-vnd.openofficeorg.extension.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; ln -sf openofficeorg3-extension.png gnome-mime-application-vnd.openofficeorg.extension.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.text.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; ln -sf openofficeorg3-oasis-text.png gnome-mime-application-vnd.oasis.opendocument.text.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.text-web.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; ln -sf openofficeorg3-oasis-web-template.png gnome-mime-application-vnd.oasis.opendocument.text-web.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.text-template.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; ln -sf openofficeorg3-oasis-text-template.png gnome-mime-application-vnd.oasis.opendocument.text-template.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.text-master.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; ln -sf openofficeorg3-oasis-master-document.png gnome-mime-application-vnd.oasis.opendocument.text-master.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.spreadsheet.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; ln -sf openofficeorg3-oasis-spreadsheet.png gnome-mime-application-vnd.oasis.opendocument.spreadsheet.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.spreadsheet-template.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; ln -sf openofficeorg3-oasis-spreadsheet-template.png gnome-mime-application-vnd.oasis.opendocument.spreadsheet-template.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.presentation.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; ln -sf openofficeorg3-oasis-presentation.png gnome-mime-application-vnd.oasis.opendocument.presentation.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.presentation-template.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; ln -sf openofficeorg3-oasis-presentation-template.png gnome-mime-application-vnd.oasis.opendocument.presentation-template.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.graphics.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; ln -sf openofficeorg3-oasis-drawing.png gnome-mime-application-vnd.oasis.opendocument.graphics.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.graphics-template.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; ln -sf openofficeorg3-oasis-drawing-template.png gnome-mime-application-vnd.oasis.opendocument.graphics-template.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.formula.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; ln -sf openofficeorg3-oasis-formula.png gnome-mime-application-vnd.oasis.opendocument.formula.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.database.png )
( cd usr/share/icons/hicolor/48x48/mimetypes ; ln -sf openofficeorg3-oasis-database.png gnome-mime-application-vnd.oasis.opendocument.database.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.writer.template.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; ln -sf openofficeorg3-text-template.png gnome-mime-application-vnd.sun.xml.writer.template.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.writer.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; ln -sf openofficeorg3-text.png gnome-mime-application-vnd.sun.xml.writer.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.writer.global.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; ln -sf openofficeorg3-master-document.png gnome-mime-application-vnd.sun.xml.writer.global.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.math.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; ln -sf openofficeorg3-formula.png gnome-mime-application-vnd.sun.xml.math.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.impress.template.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; ln -sf openofficeorg3-presentation-template.png gnome-mime-application-vnd.sun.xml.impress.template.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.impress.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; ln -sf openofficeorg3-presentation.png gnome-mime-application-vnd.sun.xml.impress.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.draw.template.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; ln -sf openofficeorg3-drawing-template.png gnome-mime-application-vnd.sun.xml.draw.template.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.draw.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; ln -sf openofficeorg3-drawing.png gnome-mime-application-vnd.sun.xml.draw.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.calc.template.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; ln -sf openofficeorg3-spreadsheet-template.png gnome-mime-application-vnd.sun.xml.calc.template.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.calc.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; ln -sf openofficeorg3-spreadsheet.png gnome-mime-application-vnd.sun.xml.calc.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.base.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; ln -sf openofficeorg3-oasis-database.png gnome-mime-application-vnd.sun.xml.base.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; rm -rf gnome-mime-application-vnd.openofficeorg.extension.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; ln -sf openofficeorg3-extension.png gnome-mime-application-vnd.openofficeorg.extension.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.text.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; ln -sf openofficeorg3-oasis-text.png gnome-mime-application-vnd.oasis.opendocument.text.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.text-web.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; ln -sf openofficeorg3-oasis-web-template.png gnome-mime-application-vnd.oasis.opendocument.text-web.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.text-template.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; ln -sf openofficeorg3-oasis-text-template.png gnome-mime-application-vnd.oasis.opendocument.text-template.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.text-master.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; ln -sf openofficeorg3-oasis-master-document.png gnome-mime-application-vnd.oasis.opendocument.text-master.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.spreadsheet.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; ln -sf openofficeorg3-oasis-spreadsheet.png gnome-mime-application-vnd.oasis.opendocument.spreadsheet.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.spreadsheet-template.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; ln -sf openofficeorg3-oasis-spreadsheet-template.png gnome-mime-application-vnd.oasis.opendocument.spreadsheet-template.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.presentation.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; ln -sf openofficeorg3-oasis-presentation.png gnome-mime-application-vnd.oasis.opendocument.presentation.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.presentation-template.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; ln -sf openofficeorg3-oasis-presentation-template.png gnome-mime-application-vnd.oasis.opendocument.presentation-template.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.graphics.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; ln -sf openofficeorg3-oasis-drawing.png gnome-mime-application-vnd.oasis.opendocument.graphics.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.graphics-template.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; ln -sf openofficeorg3-oasis-drawing-template.png gnome-mime-application-vnd.oasis.opendocument.graphics-template.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.formula.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; ln -sf openofficeorg3-oasis-formula.png gnome-mime-application-vnd.oasis.opendocument.formula.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.database.png )
( cd usr/share/icons/hicolor/32x32/mimetypes ; ln -sf openofficeorg3-oasis-database.png gnome-mime-application-vnd.oasis.opendocument.database.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.writer.template.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; ln -sf openofficeorg3-text-template.png gnome-mime-application-vnd.sun.xml.writer.template.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.writer.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; ln -sf openofficeorg3-text.png gnome-mime-application-vnd.sun.xml.writer.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.writer.global.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; ln -sf openofficeorg3-master-document.png gnome-mime-application-vnd.sun.xml.writer.global.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.math.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; ln -sf openofficeorg3-formula.png gnome-mime-application-vnd.sun.xml.math.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.impress.template.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; ln -sf openofficeorg3-presentation-template.png gnome-mime-application-vnd.sun.xml.impress.template.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.impress.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; ln -sf openofficeorg3-presentation.png gnome-mime-application-vnd.sun.xml.impress.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.draw.template.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; ln -sf openofficeorg3-drawing-template.png gnome-mime-application-vnd.sun.xml.draw.template.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.draw.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; ln -sf openofficeorg3-drawing.png gnome-mime-application-vnd.sun.xml.draw.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.calc.template.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; ln -sf openofficeorg3-spreadsheet-template.png gnome-mime-application-vnd.sun.xml.calc.template.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.calc.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; ln -sf openofficeorg3-spreadsheet.png gnome-mime-application-vnd.sun.xml.calc.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; rm -rf gnome-mime-application-vnd.sun.xml.base.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; ln -sf openofficeorg3-oasis-database.png gnome-mime-application-vnd.sun.xml.base.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; rm -rf gnome-mime-application-vnd.openofficeorg.extension.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; ln -sf openofficeorg3-extension.png gnome-mime-application-vnd.openofficeorg.extension.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.text.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; ln -sf openofficeorg3-oasis-text.png gnome-mime-application-vnd.oasis.opendocument.text.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.text-web.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; ln -sf openofficeorg3-oasis-web-template.png gnome-mime-application-vnd.oasis.opendocument.text-web.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.text-template.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; ln -sf openofficeorg3-oasis-text-template.png gnome-mime-application-vnd.oasis.opendocument.text-template.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.text-master.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; ln -sf openofficeorg3-oasis-master-document.png gnome-mime-application-vnd.oasis.opendocument.text-master.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.spreadsheet.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; ln -sf openofficeorg3-oasis-spreadsheet.png gnome-mime-application-vnd.oasis.opendocument.spreadsheet.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.spreadsheet-template.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; ln -sf openofficeorg3-oasis-spreadsheet-template.png gnome-mime-application-vnd.oasis.opendocument.spreadsheet-template.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.presentation.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; ln -sf openofficeorg3-oasis-presentation.png gnome-mime-application-vnd.oasis.opendocument.presentation.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.presentation-template.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; ln -sf openofficeorg3-oasis-presentation-template.png gnome-mime-application-vnd.oasis.opendocument.presentation-template.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.graphics.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; ln -sf openofficeorg3-oasis-drawing.png gnome-mime-application-vnd.oasis.opendocument.graphics.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.graphics-template.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; ln -sf openofficeorg3-oasis-drawing-template.png gnome-mime-application-vnd.oasis.opendocument.graphics-template.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.formula.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; ln -sf openofficeorg3-oasis-formula.png gnome-mime-application-vnd.oasis.opendocument.formula.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; rm -rf gnome-mime-application-vnd.oasis.opendocument.database.png )
( cd usr/share/icons/hicolor/16x16/mimetypes ; ln -sf openofficeorg3-oasis-database.png gnome-mime-application-vnd.oasis.opendocument.database.png )
( cd usr/share/applications ; rm -rf openoffice.org3-writer.desktop )
( cd usr/share/applications ; ln -sf /opt/openoffice.org3/share/xdg/writer.desktop openoffice.org3-writer.desktop )
( cd usr/share/applications ; rm -rf openoffice.org3-printeradmin.desktop )
( cd usr/share/applications ; ln -sf /opt/openoffice.org3/share/xdg/printeradmin.desktop openoffice.org3-printeradmin.desktop )
( cd usr/share/applications ; rm -rf openoffice.org3-math.desktop )
( cd usr/share/applications ; ln -sf /opt/openoffice.org3/share/xdg/math.desktop openoffice.org3-math.desktop )
( cd usr/share/applications ; rm -rf openoffice.org3-impress.desktop )
( cd usr/share/applications ; ln -sf /opt/openoffice.org3/share/xdg/impress.desktop openoffice.org3-impress.desktop )
( cd usr/share/applications ; rm -rf openoffice.org3-draw.desktop )
( cd usr/share/applications ; ln -sf /opt/openoffice.org3/share/xdg/draw.desktop openoffice.org3-draw.desktop )
( cd usr/share/applications ; rm -rf openoffice.org3-calc.desktop )
( cd usr/share/applications ; ln -sf /opt/openoffice.org3/share/xdg/calc.desktop openoffice.org3-calc.desktop )
( cd usr/share/applications ; rm -rf openoffice.org3-base.desktop )
( cd usr/share/applications ; ln -sf /opt/openoffice.org3/share/xdg/base.desktop openoffice.org3-base.desktop )
( cd usr/bin ; rm -rf unopkg )
( cd usr/bin ; ln -sf ../../opt/openoffice.org3/program/unopkg unopkg )
( cd usr/bin ; rm -rf swriter )
( cd usr/bin ; ln -sf ../../opt/openoffice.org3/program/swriter swriter )
( cd usr/bin ; rm -rf spadmin )
( cd usr/bin ; ln -sf ../../opt/openoffice.org3/program/spadmin spadmin )
( cd usr/bin ; rm -rf soffice )
( cd usr/bin ; ln -sf ../../opt/openoffice.org3/program/soffice soffice )
( cd usr/bin ; rm -rf smath )
( cd usr/bin ; ln -sf ../../opt/openoffice.org3/program/smath smath )
( cd usr/bin ; rm -rf simpress )
( cd usr/bin ; ln -sf ../../opt/openoffice.org3/program/simpress simpress )
( cd usr/bin ; rm -rf sdraw )
( cd usr/bin ; ln -sf ../../opt/openoffice.org3/program/sdraw sdraw )
( cd usr/bin ; rm -rf scalc )
( cd usr/bin ; ln -sf ../../opt/openoffice.org3/program/scalc scalc )
( cd usr/bin ; rm -rf sbase )
( cd usr/bin ; ln -sf ../../opt/openoffice.org3/program/sbase sbase )
( cd opt/openoffice.org3 ; rm -rf basis-link )
( cd opt/openoffice.org3 ; ln -sf ../openoffice.org/basis3.2 basis-link )
( cd opt/openoffice.org/ure/bin ; rm -rf uno )
( cd opt/openoffice.org/ure/bin ; ln -sf startup.sh uno )
( cd opt/openoffice.org/ure/bin ; rm -rf regcomp )
( cd opt/openoffice.org/ure/bin ; ln -sf startup.sh regcomp )
( cd opt/openoffice.org/basis3.2 ; rm -rf ure-link )
( cd opt/openoffice.org/basis3.2 ; ln -sf ../ure ure-link )
( cd opt/openoffice.org/basis3.2/program ; rm -rf libicuuc.so.40 )
( cd opt/openoffice.org/basis3.2/program ; ln -sf libicuuc.so.40.1 libicuuc.so.40 )
( cd opt/openoffice.org/basis3.2/program ; rm -rf libicule.so.40 )
( cd opt/openoffice.org/basis3.2/program ; ln -sf libicule.so.40.1 libicule.so.40 )
( cd opt/openoffice.org/basis3.2/program ; rm -rf libicui18n.so.40 )
( cd opt/openoffice.org/basis3.2/program ; ln -sf libicui18n.so.40.1 libicui18n.so.40 )
( cd opt/openoffice.org/basis3.2/program ; rm -rf libicudata.so.40 )
( cd opt/openoffice.org/basis3.2/program ; ln -sf libicudata.so.40.1 libicudata.so.40 )
